Package Details: capsized-hib 1+h20130613-1

Git Clone URL: https://aur.archlinux.org/capsized-hib.git (read-only)
Package Base: capsized-hib
Description: A science-fiction action platformer (Humble Bundle version)
Upstream URL: http://www.capsizedgame.com/
Keywords: 2D action game humble platformer sci-fi
Licenses: custom:commercial
Submitter: smls
Maintainer: smls
Last Packager: smls
Votes: 6
Popularity: 0.000000
First Submitted: 2013-05-29 04:08
Last Updated: 2015-07-10 01:28

Latest Comments

CYB3R commented on 2013-05-31 10:19

Now it works, thanks alot for fixing it!

smls commented on 2013-05-29 22:05

Alright, I've update the package to use the bundled mono.
Thanks for the feedback guys.

J0k3r commented on 2013-05-29 20:16

you should mark it as being in the games category ;)

noctux commented on 2013-05-29 19:49

Can confirm the bug, as well as your proposed fix on 64bit Arch.
Removing the "rm"-line resolves the issue.

aaronfischer commented on 2013-05-29 19:34

Same Problem here (64bit).
After removing the rm line, the game works.

smls commented on 2013-05-29 16:15

@CYB3R: Hm, maybe it's because I let the PKGBUILD remove the bundled mono library (to use the distro mono instead). It works fine for me, but if it breaks the game for others I need to revert that change. Can you please test whether the problem persists if you comment out the following line in the PKGBUILD before installing:

rm -f "data/lib"*/{libmono-2.0.so.1,libvorbis.so.0,libvorbisfile.so.3}

CYB3R commented on 2013-05-29 10:58

Can not launch the game on x86_64 system.
At first I was getting this error message:

Corlib not in sync with this runtime: expected corlib version 110, found 96.

Then I deleted the mscorlib.dll from /opt/Capsized, created a directory /opt/Capsized/mono/4.5 and copied /usr/lib/mono/4.5/mscorlib.dll* into it.
Then I started getting this error message:

Assertion at mini-amd64.c:487, condition `amd64_is_imm32 (disp)' not met

Great game, but mono sucks!